package common

import "film/model"

type CheckInfo struct {
	TotalPrice int64
	UnitPrice  int64
	BillCode   string
}

type OrderInfo struct {
}

type Processor interface {
	CheckOrder(*model.Order) (*CheckInfo, error)
	CreateOrder(*model.Order) (*OrderInfo, error)
	CancelOrder(*model.Order, *CheckInfo) error
}
